## org.eclipse.amp.amf.gen.ide
Class ModelMarkerHelper

    java.lang.Object
      org.eclipse.amp.amf.gen.ide.ModelMarkerHelper

    public class ModelMarkerHelper

extends java.lang.Object

Manages markers for use in editor.

Author:
  milesparker

Field Summary
`static java.lang.String` `MARKER_ELEMENT`
`static java.lang.String` `MARKER_ID`

Constructor Summary
`ModelMarkerHelper(org.eclipse.core.resources.IResource resource)`

Method Summary
`void` `addMarkers(org.eclipse.emf.mwe.core.issues.Issues issues)`
`void` `addMarkers(org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] issues, int severity)`
`void` `deleteMarkers()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARKER_ID

    public static final java.lang.String MARKER_ID

See Also:
  Constant Field Values

### MARKER_ELEMENT

    public static final java.lang.String MARKER_ELEMENT

See Also:
  Constant Field Values

Constructor Detail

### ModelMarkerHelper

    public ModelMarkerHelper(org.eclipse.core.resources.IResource resource)

Method Detail

### deleteMarkers

    public void deleteMarkers()

### addMarkers

    public void addMarkers(org.eclipse.emf.mwe.core.issues.Issues issues)

### addMarkers

    public void addMarkers(org.eclipse.emf.mwe.core.issues.MWEDiagnostic[] issues,
                           int severity)